﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Text;
using Telerik.Web.UI;

public partial class DocksControl : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

	protected void docLayoutPanels_LoadDockLayout(object sender, Telerik.Web.UI.DockLayoutEventArgs e)
	{
		HttpCookie dockState = Page.Request.Cookies.Get("MyApplicationDockStates");
		if (dockState != null)
		{
			string serializedList = dockState.Value;
			if (serializedList != null)
			{
				string[] states = serializedList.Split('|');
				for (int i = 0; i < states.Length; i++)
				{
					DockState state = DockState.Deserialize(states[i]);
					e.Positions[state.UniqueName] = state.DockZoneID;
					e.Indices[state.UniqueName] = state.Index;
				}
			}
		}
	}

	protected void docLayoutPanels_SaveDockLayout(object sender, Telerik.Web.UI.DockLayoutEventArgs e)
	{
		HttpCookie dockState = Page.Response.Cookies.Get("MyApplicationDockStates");
		if (dockState == null)
		{
			dockState = new HttpCookie("MyApplicationDockStates");
			Page.Response.Cookies.Add(dockState);
		}
		List<DockState> stateList = ((RadDockLayout)sender).GetRegisteredDocksState();
		StringBuilder serializedList = new StringBuilder();
		for (int i = 0; i < stateList.Count; i++)
		{
			serializedList.Append(stateList[i].ToString());
			serializedList.Append("|");
		}
		dockState.Expires = DateTime.Today.AddMonths(1);
		dockState.Value = serializedList.ToString();
	}
}